Returns all policies for the current store (e.g., return policy, privacy policy, terms of service). Policies are managed in Spree Admin and contain rich text content.
GET
/
api
/
v3
/
store
/
policies
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const policies = await client.policies.list()curl --request GET \
--url http://{defaultHost}/api/v3/store/policies \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "pol_gbHJdmfrXB",
"name": "Privacy Policy",
"slug": "privacy-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_OIJLhNcSbf",
"name": "Privacy Policy",
"slug": "privacy-policy-432f576a-3ff5-4dd3-a07d-1ee90aa4eda8",
"body": "We respect your privacy.",
"body_html": "<div class=\"trix-content\">\n We respect your privacy.\n</div>\n"
},
{
"id": "pol_uw2YK1rnl0",
"name": "Return Policy",
"slug": "return-policy",
"body": "You can return items within 30 days.",
"body_html": "<div class=\"trix-content\">\n You can return items within 30 days.\n</div>\n"
},
{
"id": "pol_EfhxLZ9ck8",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_VqXmZF31wY",
"name": "Shipping Policy",
"slug": "shipping-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_UkLWZg9DAJ",
"name": "Terms of Service",
"slug": "terms-of-service",
"body": "",
"body_html": ""
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 6,
"pages": 1,
"from": 1,
"to": 6,
"in": 6,
"previous": null,
"next": null
}
}{
"error": {
"code": "invalid_token",
"message": "Valid API key required"
}
}Authorizations
Publishable API key for store access
Headers
Query Parameters
Comma-separated list of fields to include (e.g., name,slug). id is always included.
Response
policies listed
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const policies = await client.policies.list()curl --request GET \
--url http://{defaultHost}/api/v3/store/policies \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "pol_gbHJdmfrXB",
"name": "Privacy Policy",
"slug": "privacy-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_OIJLhNcSbf",
"name": "Privacy Policy",
"slug": "privacy-policy-432f576a-3ff5-4dd3-a07d-1ee90aa4eda8",
"body": "We respect your privacy.",
"body_html": "<div class=\"trix-content\">\n We respect your privacy.\n</div>\n"
},
{
"id": "pol_uw2YK1rnl0",
"name": "Return Policy",
"slug": "return-policy",
"body": "You can return items within 30 days.",
"body_html": "<div class=\"trix-content\">\n You can return items within 30 days.\n</div>\n"
},
{
"id": "pol_EfhxLZ9ck8",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_VqXmZF31wY",
"name": "Shipping Policy",
"slug": "shipping-policy",
"body": "",
"body_html": ""
},
{
"id": "pol_UkLWZg9DAJ",
"name": "Terms of Service",
"slug": "terms-of-service",
"body": "",
"body_html": ""
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 6,
"pages": 1,
"from": 1,
"to": 6,
"in": 6,
"previous": null,
"next": null
}
}{
"error": {
"code": "invalid_token",
"message": "Valid API key required"
}
}
